## org.apache.myfaces.application
Class ApplicationImpl

    java.lang.Object
      javax.faces.application.Application
          org.apache.myfaces.application.ApplicationImpl

public class ApplicationImpl
extends javax.faces.application.Application

DOCUMENT ME!

Version:
  $Revision: 267274 $ $Date: 2005-09-02 14:53:14 -0400 (Fri, 02 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $), Anton Koinov, Thomas Spiegl

Constructor Summary
`ApplicationImpl()`

Method Summary
`void` `addComponent(java.lang.String componentType, java.lang.String componentClassName)`
`void` `addConverter(java.lang.Class targetClass, java.lang.String converterClass)`
`void` `addConverter(java.lang.String converterId, java.lang.String converterClass)`
`void` `addConverterConfiguration(java.lang.String converterClassName, Converter configuration)`
`void` `addValidator(java.lang.String validatorId, java.lang.String validatorClass)`
`javax.faces.component.UIComponent` `createComponent(java.lang.String componentType)`
`javax.faces.component.UIComponent` `createComponent(javax.faces.el.ValueBinding valueBinding, javax.faces.context.FacesContext facesContext, java.lang.String componentType)`
`javax.faces.convert.Converter` `createConverter(java.lang.Class targetClass)`
`javax.faces.convert.Converter` `createConverter(java.lang.String converterId)`
`javax.faces.el.MethodBinding` `createMethodBinding(java.lang.String reference, java.lang.Class[] params)`
`javax.faces.validator.Validator` `createValidator(java.lang.String validatorId)`
`javax.faces.el.ValueBinding` `createValueBinding(java.lang.String reference)`
`javax.faces.event.ActionListener` `getActionListener()`
`java.util.Iterator` `getComponentTypes()`
`java.util.Iterator` `getConverterIds()`
`java.util.Iterator` `getConverterTypes()`
`java.util.Locale` `getDefaultLocale()`
`java.lang.String` `getDefaultRenderKitId()`
`java.lang.String` `getMessageBundle()`
`javax.faces.application.NavigationHandler` `getNavigationHandler()`
`javax.faces.el.PropertyResolver` `getPropertyResolver()`
`javax.faces.application.StateManager` `getStateManager()`
`java.util.Iterator` `getSupportedLocales()`
`java.util.Iterator` `getValidatorIds()`
`javax.faces.el.VariableResolver` `getVariableResolver()`
`javax.faces.application.ViewHandler` `getViewHandler()`
`void` `setActionListener(javax.faces.event.ActionListener actionListener)`
`void` `setDefaultLocale(java.util.Locale locale)`
`void` `setDefaultRenderKitId(java.lang.String defaultRenderKitId)`
`void` `setMessageBundle(java.lang.String messageBundle)`
`void` `setNavigationHandler(javax.faces.application.NavigationHandler navigationHandler)`
`void` `setPropertyResolver(javax.faces.el.PropertyResolver propertyResolver)`
`void` `setStateManager(javax.faces.application.StateManager stateManager)`
`void` `setSupportedLocales(java.util.Collection locales)`
`void` `setVariableResolver(javax.faces.el.VariableResolver variableResolver)`
`void` `setViewHandler(javax.faces.application.ViewHandler viewHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationImpl

    public ApplicationImpl()

Method Detail

### setActionListener

    public void setActionListener(javax.faces.event.ActionListener actionListener)

### getActionListener

    public javax.faces.event.ActionListener getActionListener()

### getComponentTypes

    public java.util.Iterator getComponentTypes()

### getConverterIds

    public java.util.Iterator getConverterIds()

### getConverterTypes

    public java.util.Iterator getConverterTypes()

### setDefaultLocale

    public void setDefaultLocale(java.util.Locale locale)

### getDefaultLocale

    public java.util.Locale getDefaultLocale()

### setMessageBundle

    public void setMessageBundle(java.lang.String messageBundle)

### getMessageBundle

    public java.lang.String getMessageBundle()

### setNavigationHandler

    public void setNavigationHandler(javax.faces.application.NavigationHandler navigationHandler)

### getNavigationHandler

    public javax.faces.application.NavigationHandler getNavigationHandler()

### setPropertyResolver

    public void setPropertyResolver(javax.faces.el.PropertyResolver propertyResolver)

### getPropertyResolver

    public javax.faces.el.PropertyResolver getPropertyResolver()

### setSupportedLocales

    public void setSupportedLocales(java.util.Collection locales)

### getSupportedLocales

    public java.util.Iterator getSupportedLocales()

### getValidatorIds

    public java.util.Iterator getValidatorIds()

### setVariableResolver

    public void setVariableResolver(javax.faces.el.VariableResolver variableResolver)

### getVariableResolver

    public javax.faces.el.VariableResolver getVariableResolver()

### setViewHandler

    public void setViewHandler(javax.faces.application.ViewHandler viewHandler)

### getViewHandler

    public javax.faces.application.ViewHandler getViewHandler()

### addComponent

    public void addComponent(java.lang.String componentType,
                             java.lang.String componentClassName)

### addConverter

    public void addConverter(java.lang.String converterId,
                             java.lang.String converterClass)

### addConverter

    public void addConverter(java.lang.Class targetClass,
                             java.lang.String converterClass)

### addConverterConfiguration

    public void addConverterConfiguration(java.lang.String converterClassName,
                                          Converter configuration)

### addValidator

    public void addValidator(java.lang.String validatorId,
                             java.lang.String validatorClass)

### createComponent

    public javax.faces.component.UIComponent createComponent(java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.faces.el.ValueBinding valueBinding,
                                                             javax.faces.context.FacesContext facesContext,
                                                             java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.String converterId)

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.Class targetClass)

### createMethodBinding

    public javax.faces.el.MethodBinding createMethodBinding(java.lang.String reference,
                                                            java.lang.Class[] params)
                                                     throws javax.faces.el.ReferenceSyntaxException

  Throws:
    `javax.faces.el.ReferenceSyntaxException`

### createValidator

    public javax.faces.validator.Validator createValidator(java.lang.String validatorId)
                                                    throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### createValueBinding

    public javax.faces.el.ValueBinding createValueBinding(java.lang.String reference)
                                                   throws javax.faces.el.ReferenceSyntaxException

  Throws:
    `javax.faces.el.ReferenceSyntaxException`

### getDefaultRenderKitId

    public java.lang.String getDefaultRenderKitId()

### setDefaultRenderKitId

    public void setDefaultRenderKitId(java.lang.String defaultRenderKitId)

### getStateManager

    public javax.faces.application.StateManager getStateManager()

### setStateManager

    public void setStateManager(javax.faces.application.StateManager stateManager)